#!/bin/sh
#
# make1mkv.sh
#
# this script creates one .mkv video file and places
# it in ./videos/<num>.mkv

if [ "X${1}" = "X" ]
  then
    echo "*** Error, no parameter"
    echo ""
    echo "usage: make1mkv.sh num"
    echo "       where num is a 2 digit numeric filename"
    echo "       such as 01, 02, 03, etc."
    echo "  exiting..."
  exit
fi

num=${1};

color=`perl ./getcolor.pl`

ffmpeg -f lavfi \
  -i color=c=$color \
  -filter_complex " \
      [0:v] setpts=PTS-STARTPTS, scale=qvga, \
       drawtext="text=\'${num}\':x=10:y=10:fontsize=75:box=1:boxcolor=white:fontcolor=red" [out] \
      " \
    -map "[out]" \
    -c:v libx264 -t '30' -f matroska videos/${num}.mkv



