#!/bin/sh
#
# play1mkv.sh
#
# this script creates one .mkv video and pipes it to ffplay
# to play immediately.  the file is not saved.

if [ "X${1}" = "X" ]
  then
    echo "*** Error, no parameter"
    echo ""
    echo "usage: play1mkv.sh num"
    echo "       where num is a 2 digit numeric filename"
    echo "       such as 01, 02, 03, etc."
    echo "  exiting..."
  exit
fi

num=${1};


color=`perl ./getcolor.pl`



ffmpeg -f lavfi \
  -i color=c=$color \
  -filter_complex " \
      [0:v] setpts=PTS-STARTPTS, scale=qvga, \
       drawtext="text=\'${num}\':x=10:y=10:fontsize=75:box=1:boxcolor=white:fontcolor=red" [out] \
      " \
    -map "[out]" \
    -c:v libx264  -t '10' -f matroska -  | ffplay  -autoexit  -top 50 -left 50  -



